/* Copyright (c) 1990-1992 by the University of Illinois Board of Trustees */

/************************************************************************
 * declarations for dealing with ctb streams
 ************************************************************************/
int CTBConnectTrans(Ptr serverName, short port);
int CTBSendTrans(short count, Ptr text,long size, ...);
int CTBRecvTrans(Ptr line,long *size);
int CTBDisTrans(void);
int CTBDestroyTrans(void);
int CTBTransError(void);
int CTBBreak(long duration);
/* int GenSendWDS(wdsEntry *theWDS); */
void CTBSilenceTrans(Boolean silence);
Boolean InitCTB(Boolean makeUser);
short DialThePhone(void);
void HangUpThePhone(void);
short CTBNavigateSTRN(short id);
Ptr CTBWhoAmI(Ptr who);
void MyCMIdle(void);
int NetRecvLine(Ptr line,long *size);
short SettingsPtr(ResType type,Ptr name,short id,Ptr dataPtr, long dataSize);

#define NAVIN	6602
#define NAVMID	7605
#define NAVOUT	6603
#define NAVTELIN 6604
#define NAVTELOUT 6605
#define CTB_NAV_IN_STRN 2400
#define CTB_NAV_MID_STRN 4200
#define CTB_NAV_OUT_STRN 2600
#define CTB_NAV_TEL_IN_STRN 2800
#define CTB_NAV_TEL_OUT_STRN 3000

#define TS_CONNECT_FMT	7413
#define CTBTimeout 45

#define bulletChar 0xa5
#define betaChar 0xa7
#define deltaChar 0xc6

#define inProgress				1				/* I/O in progress */
#define cacheFault				-23042

typedef unsigned char Str127[128];
#define LDRef(aHandle)	(HLock((aHandle)),*(aHandle))
#define UL(aHandle) 		HUnlock((aHandle))
